# Generated from dirtravel-0.0.6.gem by gem2rpm -*- rpm-spec -*-
%global gem_name dirtravel

Name: rubygem-%{gem_name}
Version: 0.0.6
Release: 1%{?dist}
Summary: Small and simple library for accessing filesystem directories
License: Ruby
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 1.9.3
BuildArch: noarch

%description
DirTravel provides content of filesystem directories by recursively travelling
the directory hierarchy. The content is organized in RubyTree structure and
RubyTree classes are overloaded with directory entry methods for usability.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%license %{gem_instdir}/LICENSE
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/CHANGELOG.rdoc
%doc %{gem_instdir}/README.rdoc
%doc %{gem_instdir}/doc
%{gem_instdir}/test

%changelog
* Mon Apr 18 2022 mockbuilder - 0.0.6-1
- Initial package
